# $Revision: 1.22 $, $Date: 2002/08/03 11:29:10 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	Smb
Summary:	Authen::Smb Perl module
Summary(cs):	Modul Authen::Smb pro Perl
Summary(da):	Perlmodul Authen::Smb
Summary(de):	Authen::Smb Perl Modul
Summary(es):	Mdulo de Perl Authen::Smb
Summary(fr):	Module Perl Authen::Smb
Summary(it):	Modulo di Perl Authen::Smb
Summary(ja):	Authen::Smb Perl ⥸塼
Summary(ko):	Authen::Smb  
Summary(no):	Perlmodul Authen::Smb
Summary(pl):	Modu Perla Authen::Smb
Summary(pt):	Mdulo de Perl Authen::Smb
Summary(pt_BR):	Mdulo Perl Authen::Smb
Summary(ru):	  Perl Authen::Smb
Summary(sv):	Authen::Smb Perlmodul
Summary(uk):	  Perl Authen::Smb
Summary(zh_CN):	Authen::Smb Perl ģ
Name:		perl-Authen-Smb
Version:	0.91
Release:	6
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::Smb is a module to authenticate against an SMB server.

%description -l pl
Authen::Smb jest moduem umoliwiajcym dostp do serwera SMB.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Authen/Smb.pm
%dir %{perl_sitearch}/auto/Authen/Smb
%{perl_sitearch}/auto/Authen/Smb/autosplit.ix
%{perl_sitearch}/auto/Authen/Smb/Smb.bs
%attr(755,root,root) %{perl_sitearch}/auto/Authen/Smb/Smb.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Authen-Smb.spec,v $
Revision 1.22  2002/08/03 11:29:10  ankry
- translations, cleaning
- added test on BCond, new %%doc
- added autosplit.ix
- release 6

Revision 1.21  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 01:44:40  kloczek
- cosmetics.

Revision 1.18  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:06:21  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:24:04  depesz
adapterized

Revision 1.15  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:05:16  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/27 18:21:34  kloczek
- release 3: rebuild against perl 5.6 and use new rpm automation.

Revision 1.9  2000/08/27 18:24:04  kloczek
- release 2.

Revision 1.8  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.6  2000/05/02 21:05:02  baggins
- fixed including macros

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
